Edit a project
const url = 'https://gitea.com/api/v1/orgs/example/projects/1';const options = { method: 'PATCH', headers: {Authorization: 'Basic <credentials>', 'Content-Type': 'application/json'}, body: '{"card_type":"example","description":"example","state":"open","title":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://gitea.com/api/v1/orgs/example/projects/1 \ --header 'Authorization: Basic <credentials>' \ --header 'Content-Type: application/json' \ --data '{ "card_type": "example", "description": "example", "state": "open", "title": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Name of the organization
Id of the project
Request Body
Section titled “Request Body”EditProjectOption represents options for editing a project
object
Card type: “text_only” or “images_and_text”
Responses
Section titled “Responses”Project
Projects track issues and pull requests, standalone note cards are not supported.
object
Card type: “text_only” or “images_and_text”
User represents a user
object
Is user active
URL to the user’s avatar
The user’s description
User counts
The user’s full name
URL to the user’s gitea page
The user’s id
Is the user an administrator
User locale
The user’s location
Login of the user, same as username
Identifier of the user, provided by the external authenticator (if configured)
Is user login prohibited
Is user restricted
The ID of the user’s Authentication Source
User visibility level option: public, limited, private
The user’s website
Deprecated: use Creator instead
Deprecated: use State instead
Template type: “none”, “basic_kanban” or “bug_triage”
Project type: “individual”, “repository” or “organization”
Null only for legacy rows that carry no update timestamp
Example
{ "creator": { "login_name": "empty", "visibility": "public" }, "state": "open"}APINotFound is a not found empty response
APIValidationError is error format response related to input validation